對於 Kubernetes 環境和 Pivotal Cloud Foundry (PCF) 環境,NSX-T Container Plug-in (NCP) 具有下列相容性需求。

表格 1. Kubernetes 環境的相容性需求

軟體產品

版本

NSX-T Data Center

2.2、2.3

容器主機虛擬機器的 Hypervisor

容器主機作業系統

  • Ubuntu 16.04、RHEL 7.4、7.5

容器協調工具

  • Kubernetes 1.10

  • Kubernetes 1.11

Container Host Open vSwitch

2.9.1 (隨附於 NSX-T 2.3 和 2.2)

表格 2. Cloud Foundry 環境的相容性需求

軟體產品

版本

容器主機虛擬機器的 Hypervisor

容器協調工具

  • (僅限 NCP 2.3) Pivotal Application Service 2.1.x (2.1.0 除外) 和 Pivotal Operations Manager 2.1.x

  • Pivotal Application Service 2.2.0 和 Pivotal Operations Manager 2.2.0

  • (僅限 NCP 2.3.1) Pivotal Application Service 2.3.x 和 Pivotal Operations Manager 2.3.x